# $Id: smeserver-jeta.spec,v 1.5 2008/12/06 20:03:17 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Jeta configuration and templates.
%define name smeserver-jeta
Name: %{name}
%define version 1.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-jeta.remove_templates-custom.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.0
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: jeta-h3 >= 1.0
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Sat Apr 19 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2
- Patch to move jeta specific horde registry.php from templates-custom to templates.
- Changed imp-h3 requires to require imp 4.2 or better so the template move doesn't
  break any previous versions.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Wed Apr 4 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Initial build
- Added the ability to enable or disable jeta menu icon from showing up on the
  main webmail screen.  To enable config set jeta service MenuArray disabled|enabled

%description
This package adds necessary templates and configuration items
so that Jeta will work properly with SME Server

%prep
%setup

%patch1 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
